GNU bug report logs - #13059
frame-title does not update modified toggle on tmpfs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Yi Wang <tririverwangyi@HIDDEN>; dated Sun, 2 Dec 2012 18:27:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 13059 <at> debbugs.gnu.org:


Received: (at 13059) by debbugs.gnu.org; 2 Dec 2012 23:02:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 02 18:02:03 2012
Received: from localhost ([127.0.0.1]:50547 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TfIXy-0004qT-EW
	for submit <at> debbugs.gnu.org; Sun, 02 Dec 2012 18:02:02 -0500
Received: from mail-oa0-f44.google.com ([209.85.219.44]:38374)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <tririverwangyi@HIDDEN>) id 1TfIXv-0004q3-2I
	for 13059 <at> debbugs.gnu.org; Sun, 02 Dec 2012 18:02:00 -0500
Received: by mail-oa0-f44.google.com with SMTP id n5so2068825oag.3
	for <13059 <at> debbugs.gnu.org>; Sun, 02 Dec 2012 14:59:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type;
	bh=ivQK82HqzKX9gBBZu1Z3GgtcdUm1h9ig+rFL6ih4ywI=;
	b=d8Li9mZUPV3LJkVKI1M0lJykn2eNQDTX2djOZNTPu4snXmBxlYLQqRS084BQnMxQIA
	m5HVFrkE43IFVdPAkLqPE+NnHFm8rObMc8V5W8k+U7EPugyqQg9YlRdKDKvciSpOJy4l
	1uDzwJ1cpbJjK1PU9PPnZ5sATeZRHwqpucs7ioJMyp/WybNN0ovXF+yWmNBfTEUJ+hcF
	Blnee/Fx9zlJPvwavHNHYMjxNC3jYyZp0BPloHoGXXqUQ/6ymc68bvfikytfVdUNImlp
	7j6aTXVUnN33awk/UQ5z0RTA4mpt79s60e9dsu9JVv2qrJEHAZjp+UkFeAYZZVB6LbTZ
	wgFA==
MIME-Version: 1.0
Received: by 10.182.172.74 with SMTP id ba10mr2962030obc.83.1354489179229;
	Sun, 02 Dec 2012 14:59:39 -0800 (PST)
Received: by 10.76.24.9 with HTTP; Sun, 2 Dec 2012 14:59:38 -0800 (PST)
In-Reply-To: <83txs4s3u6.fsf@HIDDEN>
References: <CAJferG8Xc+P6p6iuE6Vy7RmJBzqR3sfwJ1fLZErQ59bq3bqb=w@HIDDEN>
	<83txs4s3u6.fsf@HIDDEN>
Date: Mon, 3 Dec 2012 07:59:38 +0900
Message-ID: <CAJferG84FsRpeEQ2YOYDmxgxYSm0uQfqg90fWAsSE9JP9j3MqQ@HIDDEN>
Subject: Re: bug#13059: frame-title does not update modified toggle on tmpfs
From: Yi Wang <tririverwangyi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=e89a8f839f6f614e2f04cfe69677
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13059
Cc: 13059 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.1 (/)

--e89a8f839f6f614e2f04cfe69677
Content-Type: text/plain; charset=ISO-8859-1

It sounds strange.

For me, this problem never happened on obscure then re-expose windows.

On the other hand, tmpfs should not be the reason either. The modified mark
fail to update at everywhere *except* for files in the home directory or
subdirectories of $HOME. For example, I tried /tmp, /var/tmp, a file
outside $HOME (while have edit permission), and use root to edit a file at
/. At all those positions I had this problem.

Best wishes,
Yi


On Mon, Dec 3, 2012 at 3:31 AM, Eli Zaretskii <eliz@HIDDEN> wrote:

> > Date: Sun, 2 Dec 2012 17:51:26 +0900
> > From: Yi Wang <tririverwangyi@HIDDEN>
> > Cc: Yi Wang <tririverwangyi@HIDDEN>
> >
> > If I set frame-title as:
> >
> > (setq frame-title-format "%b  %* ")
> >
> > The modified mark * will display correctly for normal files. But for
> files
> > in /tmp (where tmpfs is enabled), the modified mark almost never appears
> > (though actually buffer is modified).
>
> Does this happen only for tmpfs volumes?
>
> If you obscure the frame with some other window of another
> application, and then re-expose it again, does the modification
> indication gets updated?
>

--e89a8f839f6f614e2f04cfe69677
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

It sounds strange.=A0<div><br></div><div>For me, this problem never happene=
d on obscure then re-expose windows.=A0<div><br></div><div>On the other han=
d, tmpfs should not be the reason either. The modified mark fail to update =
at everywhere *except* for files in the home directory or subdirectories of=
 $HOME. For example, I tried /tmp, /var/tmp, a file outside $HOME (while ha=
ve edit permission), and use root to edit a file at /. At all those positio=
ns I had this problem.</div>
</div><div><br></div><div>Best wishes,</div><div>Yi</div><div class=3D"gmai=
l_extra"><br><br><div class=3D"gmail_quote">On Mon, Dec 3, 2012 at 3:31 AM,=
 Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D"mailto:eliz@HIDDEN" target=
=3D"_blank">eliz@HIDDEN</a>&gt;</span> wrote:<br>
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex">&gt; Date: Sun, 2 Dec 2012 17:51:26 +0900<br=
>
&gt; From: Yi Wang &lt;<a href=3D"mailto:tririverwangyi@HIDDEN">tririver=
wangyi@HIDDEN</a>&gt;<br>
&gt; Cc: Yi Wang &lt;<a href=3D"mailto:tririverwangyi@HIDDEN">tririverwa=
ngyi@HIDDEN</a>&gt;<br>
&gt;<br>
&gt; If I set frame-title as:<br>
&gt;<br>
&gt; (setq frame-title-format &quot;%b =A0%* &quot;)<br>
&gt;<br>
&gt; The modified mark * will display correctly for normal files. But for f=
iles<br>
&gt; in /tmp (where tmpfs is enabled), the modified mark almost never appea=
rs<br>
&gt; (though actually buffer is modified).<br>
<br>
Does this happen only for tmpfs volumes?<br>
<br>
If you obscure the frame with some other window of another<br>
application, and then re-expose it again, does the modification<br>
indication gets updated?<br>
</blockquote></div><br></div>

--e89a8f839f6f614e2f04cfe69677--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13059; Package emacs. Full text available.

Message received at 13059 <at> debbugs.gnu.org:


Received: (at 13059) by debbugs.gnu.org; 2 Dec 2012 18:34:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 02 13:34:26 2012
Received: from localhost ([127.0.0.1]:50394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TfEN0-0006Dv-EF
	for submit <at> debbugs.gnu.org; Sun, 02 Dec 2012 13:34:26 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:43448)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1TfEMy-0006Dl-Ti
	for 13059 <at> debbugs.gnu.org; Sun, 02 Dec 2012 13:34:25 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0MEF0020021XPR00@HIDDEN> for
	13059 <at> debbugs.gnu.org; Sun, 02 Dec 2012 20:31:53 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MEF00107254LWK0@HIDDEN>;
	Sun, 02 Dec 2012 20:31:53 +0200 (IST)
Date: Sun, 02 Dec 2012 20:31:45 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13059: frame-title does not update modified toggle on tmpfs
In-reply-to: <CAJferG8Xc+P6p6iuE6Vy7RmJBzqR3sfwJ1fLZErQ59bq3bqb=w@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Yi Wang <tririverwangyi@HIDDEN>
Message-id: <83txs4s3u6.fsf@HIDDEN>
References: <CAJferG8Xc+P6p6iuE6Vy7RmJBzqR3sfwJ1fLZErQ59bq3bqb=w@HIDDEN>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  > Date: Sun,
	2 Dec 2012 17:51:26 +0900 > From: Yi Wang <tririverwangyi@HIDDEN>
	> Cc: Yi Wang <tririverwangyi@HIDDEN> > > If I set frame-title as: >
	>
	(setq frame-title-format "%b %* ") > > The modified mark * will display
	correctly
	for normal files. But for files > in /tmp (where tmpfs is enabled),
	the modified
	mark almost never appears > (though actually buffer is modified). [...]
	Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [80.179.55.166 listed in list.dnswl.org]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
X-Debbugs-Envelope-To: 13059
Cc: 13059 <at> debbugs.gnu.org, tririverwangyi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Date: Sun, 2 Dec 2012 17:51:26 +0900 > From: Yi Wang <tririverwangyi@HIDDEN>
    > Cc: Yi Wang <tririverwangyi@HIDDEN> > > If I set frame-title as: > >
    (setq frame-title-format "%b %* ") > > The modified mark * will display correctly
    for normal files. But for files > in /tmp (where tmpfs is enabled), the modified
    mark almost never appears > (though actually buffer is modified). [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [80.179.55.166 listed in list.dnswl.org]
  0.7 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]

> Date: Sun, 2 Dec 2012 17:51:26 +0900
> From: Yi Wang <tririverwangyi@HIDDEN>
> Cc: Yi Wang <tririverwangyi@HIDDEN>
> 
> If I set frame-title as:
> 
> (setq frame-title-format "%b  %* ")
> 
> The modified mark * will display correctly for normal files. But for files
> in /tmp (where tmpfs is enabled), the modified mark almost never appears
> (though actually buffer is modified).

Does this happen only for tmpfs volumes?

If you obscure the frame with some other window of another
application, and then re-expose it again, does the modification
indication gets updated?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13059; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Dec 2012 18:26:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 02 13:26:16 2012
Received: from localhost ([127.0.0.1]:50378 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TfEF5-00061E-Mx
	for submit <at> debbugs.gnu.org; Sun, 02 Dec 2012 13:26:16 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48613)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <tririverwangyi@HIDDEN>) id 1Tf5J3-0000QH-Qq
	for submit <at> debbugs.gnu.org; Sun, 02 Dec 2012 03:53:46 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <tririverwangyi@HIDDEN>) id 1Tf5Gr-0003Jn-B6
	for submit <at> debbugs.gnu.org; Sun, 02 Dec 2012 03:51:30 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	HTML_MESSAGE,RCVD_IN_DNSWL_HI,T_DKIM_INVALID autolearn=unavailable
	version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:35242)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <tririverwangyi@HIDDEN>) id 1Tf5Gr-0003Jh-7u
	for submit <at> debbugs.gnu.org; Sun, 02 Dec 2012 03:51:29 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55690)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <tririverwangyi@HIDDEN>) id 1Tf5Gq-0006nD-FE
	for bug-gnu-emacs@HIDDEN; Sun, 02 Dec 2012 03:51:29 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <tririverwangyi@HIDDEN>) id 1Tf5Gp-0003JT-F9
	for bug-gnu-emacs@HIDDEN; Sun, 02 Dec 2012 03:51:28 -0500
Received: from mail-vb0-f41.google.com ([209.85.212.41]:33243)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <tririverwangyi@HIDDEN>) id 1Tf5Gp-0003JN-Ap
	for bug-gnu-emacs@HIDDEN; Sun, 02 Dec 2012 03:51:27 -0500
Received: by mail-vb0-f41.google.com with SMTP id l22so892458vbn.0
	for <bug-gnu-emacs@HIDDEN>; Sun, 02 Dec 2012 00:51:26 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:date:message-id:subject:from:to:cc:content-type;
	bh=NTJaCGOQFlC+eRuBfW7ggqE0Rx0yadxOvVd9anYEPpg=;
	b=Q548hXuypYFr6w28YJWM7oThKbOHstYEbS7Nl1wM2oDCs/7LQqatdHGkSVUMcveuKG
	xi5o8rWPgs5Jgkan2AGkOAdxp5Rtxo9ENnYLYU0J4KmyTX7k73Oa4VsS0Voe52Bt49Gq
	3LFocZKVRPVrEoUityZePL7R2kHbwLUUmUMDScge6DzvTQh3w+Avxorqiq4cEfUQJlUe
	V8IyaQSaf3eBR0qsi/2sessdM7tmoE2cb7aYQfbxniLN+nm7FCo19fL891l4moNWuiIN
	+cYMX+mv5XKDuocWyPIgyerrwAvl8+D6A5bCSPHlxdEhp5onLx87ISLec4J4Vm+Nmx/O
	NGcg==
MIME-Version: 1.0
Received: by 10.220.153.212 with SMTP id l20mr5599261vcw.1.1354438286326; Sun,
	02 Dec 2012 00:51:26 -0800 (PST)
Received: by 10.58.44.66 with HTTP; Sun, 2 Dec 2012 00:51:26 -0800 (PST)
Date: Sun, 2 Dec 2012 17:51:26 +0900
Message-ID: <CAJferG8Xc+P6p6iuE6Vy7RmJBzqR3sfwJ1fLZErQ59bq3bqb=w@HIDDEN>
Subject: frame-title does not update modified toggle on tmpfs
From: Yi Wang <tririverwangyi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=f46d04339cdeed3c3504cfdabc68
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 02 Dec 2012 13:26:14 -0500
Cc: Yi Wang <tririverwangyi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.4 (---)

--f46d04339cdeed3c3504cfdabc68
Content-Type: text/plain; charset=ISO-8859-1

Hello,

If I set frame-title as:

(setq frame-title-format "%b  %* ")

The modified mark * will display correctly for normal files. But for files
in /tmp (where tmpfs is enabled), the modified mark almost never appears
(though actually buffer is modified).

On the other hand, the modified mark on the mode-line always displays
correctly.

Perhaps this is a bug?

Best wishes,
Yi

--f46d04339cdeed3c3504cfdabc68
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div>Hello,</div><div><br></div><div>If I set frame-title as:</div><div><br=
></div>(setq frame-title-format &quot;%b =A0%* &quot;)<br><div><br></div><d=
iv>The modified mark * will display correctly for normal files. But for fil=
es in /tmp (where tmpfs is enabled), the modified mark almost never appears=
 (though actually buffer is modified).</div>
<div><br></div><div>On the other hand, the modified mark on the mode-line a=
lways displays correctly.<br><br>Perhaps this is a bug?</div><div><br></div=
><div>Best wishes,</div><div>Yi</div>

--f46d04339cdeed3c3504cfdabc68--




Acknowledgement sent to Yi Wang <tririverwangyi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#13059; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.